Subject: [i2rs] Last Call: <draft-ietf-i2rs-yang-dc-fabric-network-topology-06.txt> (A YANG Data Model for Fabric Topology in Data Center Networks) to Proposed Standard

From: The IESG <[email-masked]>
Date: Fri, 09 Mar 2018 13:28:16 -0800

The IESG has received a request from the Interface to the Routing System WG
(i2rs) to consider the following document: - 'A YANG Data Model for Fabric
Topology in Data Center Networks'
  <draft-ietf-i2rs-yang-dc-fabric-network-topology-06.txt> as Proposed
  Standard

The IESG plans to make a decision in the next few weeks, and solicits final
comments on this action. Please send substantive comments to the
[email-masked] mailing lists by 2018-04-03. Exceptionally, comments may be
sent to [email-masked] instead. In either case, please retain the beginning of
the Subject line to allow automated sorting.

Abstract

   This document defines a YANG data model for fabric topology in Data
   Center Network.

The file can be obtained via
https://datatracker.ietf.org/doc/draft-ietf-i2rs-yang-dc-fabric-network-topology/

IESG discussion can be tracked via
https://datatracker.ietf.org/doc/draft-ietf-i2rs-yang-dc-fabric-network-topology/ballot/

No IPR declarations have been submitted directly on this I-D.

The document contains these normative downward references.
See RFC 3967 for additional information: 
    rfc7348: Virtual eXtensible Local Area Network (VXLAN): A Framework for Overlaying Virtualized Layer 2 Networks over Layer 3 Networks (Informational - Independent Submission Editor stream)

---

From: "tom p." <[email-masked]>
Date: Tue, 13 Mar 2018 12:29:47 -0000

I see

description "Number of vni(VXLAN Network Identifier, see [RFC7348])s
that the fabric has";

which looks like XML/HTML style reference in the YANG module, which will
not work as the YANG module must be plain text.

I suggest an introductory section along the lines of

This module imports ...
from ...
and references [RFC7348]

along the lines of
draft-ietf-netmod-rfc7277bis
without which [RFC7348] will be an unused Reference.

Tom Petch

----- Original Message -----
From: "The IESG" <[email-masked]>
To: "IETF-Announce" <[email-masked]>
Cc: <[email-masked]>;
<[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Friday, March 09, 2018 9:28 PM
Subject: Last Call:
<draft-ietf-i2rs-yang-dc-fabric-network-topology-06.txt> (A YANG Data
Model for Fabric Topology in Data Center Networks) to Proposed Standard

> The file can be obtained via
https://datatracker.ietf.org/doc/draft-ietf-i2rs-yang-dc-fabric-network-
topology/
> IESG discussion can be tracked via
https://datatracker.ietf.org/doc/draft-ietf-i2rs-yang-dc-fabric-network-
topology/ballot/
>     rfc7348: Virtual eXtensible Local Area Network (VXLAN): A
Framework for Overlaying Virtualized Layer 2 Networks over Layer 3
Networks (Informational - Independent Submission Editor stream)

---

From: "Zhuangyan (Yan)" <[email-masked]>
Date: Mon, 19 Mar 2018 03:01:50 +0000

Hi Tom,

Thank you for your comments. 
We changed the words in description statement as you suggested and added an introductory section before the module codes in section "Fabric YANG Module". The draft-ietf-netmod-rfc7277bis is added as well.

We think the new version-07 resolved all your comments :) Thank you.

Best Regards,

Yan (on behalf of all authors)

-----Original Message-----
From: tom p. [mailto:[email-masked]] 
Sent: Tuesday, March 13, 2018 8:30 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: Last Call: <draft-ietf-i2rs-yang-dc-fabric-network-topology-06.txt> (A YANG Data Model for Fabric Topology in Data Center Networks) to Proposed Standard

I see

description "Number of vni(VXLAN Network Identifier, see [RFC7348])s that the fabric has";

which looks like XML/HTML style reference in the YANG module, which will not work as the YANG module must be plain text.

This module imports ...
from ...
and references [RFC7348]

along the lines of

Tom Petch

----- Original Message -----
From: "The IESG" <[email-masked]>
To: "IETF-Announce" <[email-masked]>
Cc: <[email-masked]>;
<[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Friday, March 09, 2018 9:28 PM
Subject: Last Call:
<draft-ietf-i2rs-yang-dc-fabric-network-topology-06.txt> (A YANG Data Model for Fabric Topology in Data Center Networks) to Proposed Standard

>     rfc7348: Virtual eXtensible Local Area Network (VXLAN): A
Framework for Overlaying Virtualized Layer 2 Networks over Layer 3 Networks (Informational - Independent Submission Editor stream)

---

From: "Susan Hares" <[email-masked]>
Date: Mon, 19 Mar 2018 02:05:13 -0400

Yan:

Thank you for the update. 

Sue Hares 

-----Original Message-----
From: i2rs [mailto:[email-masked]] On Behalf Of Zhuangyan (Yan)
Sent: Sunday, March 18, 2018 11:02 PM
To: tom p.; [email-masked]
Cc: [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked]
Subject: Re: [i2rs] Last Call:
<draft-ietf-i2rs-yang-dc-fabric-network-topology-06.txt> (A YANG Data Model
for Fabric Topology in Data Center Networks) to Proposed Standard

Hi Tom,

Thank you for your comments. 
We changed the words in description statement as you suggested and added an
introductory section before the module codes in section "Fabric YANG
Module". The draft-ietf-netmod-rfc7277bis is added as well.

Best Regards,

-----Original Message-----
From: tom p. [mailto:[email-masked]]
Sent: Tuesday, March 13, 2018 8:30 PM
To: [email-masked]
Cc: [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked]
Subject: Re: Last Call:
<draft-ietf-i2rs-yang-dc-fabric-network-topology-06.txt> (A YANG Data Model
for Fabric Topology in Data Center Networks) to Proposed Standard

I see

description "Number of vni(VXLAN Network Identifier, see [RFC7348])s that
the fabric has";

which looks like XML/HTML style reference in the YANG module, which will not
work as the YANG module must be plain text.

This module imports ...
from ...
and references [RFC7348]

along the lines of

Tom Petch

----- Original Message -----
From: "The IESG" <[email-masked]>
To: "IETF-Announce" <[email-masked]>
Cc: <[email-masked]>;
<[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Friday, March 09, 2018 9:28 PM
Subject: Last Call:
<draft-ietf-i2rs-yang-dc-fabric-network-topology-06.txt> (A YANG Data Model
for Fabric Topology in Data Center Networks) to Proposed Standard

>     rfc7348: Virtual eXtensible Local Area Network (VXLAN): A
Framework for Overlaying Virtualized Layer 2 Networks over Layer 3 Networks
(Informational - Independent Submission Editor stream)

_______________________________________________
i2rs mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i2rs

---

From: "tom p." <[email-masked]>
Date: Mon, 26 Mar 2018 17:32:28 +0100

Yan

It resolves my comments but... :-(

there is a line length problem with that description clause
" description "Number of vni(VXLAN Network Identifier defined in RFC
7348)s that the fabric has.";
[not sure what e-mail will do with this but in the I-D, the line length
is too long]

draft-ietf-i2rs-yang-network-topo is now RFC8345
draft-ietf-i2rs-yang-l3-topology-16.txt is now RFC8346
draft-ietf-netmod-rfc7277bis-03.txt is now RFC8344

the Copyright date is 2016

the URL to the licence information should be https not http (sigh)

"Please replace the data in the revision statement with the data of
publication when published.";
/data/date/ 2

data model [6020][7950]
I would expect to see [RFC6020][RFC7950]

uh huh

I am not sure who the AD is now for this work so they probably need
adding to the addressees of any further e-mail.

Tom Petch

----- Original Message -----
From: "Zhuangyan (Yan)" <[email-masked]>
To: "tom p." <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>;
<[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Monday, March 19, 2018 4:01 AM

> We changed the words in description statement as you suggested and
added an introductory section before the module codes in section "Fabric
YANG Module". The draft-ietf-netmod-rfc7277bis is added as well.
> Cc: [email-masked];
[email-masked];
[email-masked]; [email-masked]; [email-masked]
that the fabric has";
>
> which looks like XML/HTML style reference in the YANG module, which
will not work as the YANG module must be plain text.
> > The IESG plans to make a decision in the next few weeks, and
solicits
> final
> > [email-masked] mailing lists by 2018-04-03. Exceptionally, comments
may
> be

---

From: "Zhuangyan (Yan)" <[email-masked]>
Date: Tue, 27 Mar 2018 09:30:07 +0000

Hi Tom,

Thank you very much for your detailed comments. 
We've incorporated your comments into version-08. We also updated other referred drafts if they are also published in March :)

Best Regards,

Yan(on behalf of all authors)

-----Original Message-----
From: tom p. [mailto:[email-masked]] 
Sent: Tuesday, March 27, 2018 12:32 AM
To: Zhuangyan (Yan) <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: Last Call: <draft-ietf-i2rs-yang-dc-fabric-network-topology-06.txt> (A YANG Data Model for Fabric Topology in Data Center Networks) to Proposed Standard

Yan

there is a line length problem with that description clause " description "Number of vni(VXLAN Network Identifier defined in RFC 7348)s that the fabric has."; [not sure what e-mail will do with this but in the I-D, the line length is too long]

draft-ietf-i2rs-yang-network-topo is now RFC8345 draft-ietf-i2rs-yang-l3-topology-16.txt is now RFC8346 draft-ietf-netmod-rfc7277bis-03.txt is now RFC8344

"Please replace the data in the revision statement with the data of publication when published."; /data/date/ 2

data model [6020][7950]

uh huh

I am not sure who the AD is now for this work so they probably need adding to the addressees of any further e-mail.

Tom Petch

----- Original Message -----
From: "Zhuangyan (Yan)" <[email-masked]>
To: "tom p." <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>;

> We changed the words in description statement as you suggested and
added an introductory section before the module codes in section "Fabric YANG Module". The draft-ietf-netmod-rfc7277bis is added as well.
that the fabric has";
solicits
may

---

From: "tom p." <[email-masked]>
Date: Wed, 28 Mar 2018 16:26:43 +0100

----- Original Message -----
From: "Zhuangyan (Yan)" <[email-masked]>
Sent: Tuesday, March 27, 2018 10:30 AM

> We've incorporated your comments into version-08. We also updated
other referred drafts if they are also published in March :)

Yan

Yes, you have addressed my comments

Tom Petch

> there is a line length problem with that description clause "
description "Number of vni(VXLAN Network Identifier defined in RFC
7348)s that the fabric has."; [not sure what e-mail will do with this
but in the I-D, the line length is too long]
> "Please replace the data in the revision statement with the data of
publication when published."; /data/date/ 2
> added an introductory section before the module codes in section
"Fabric YANG Module". The draft-ietf-netmod-rfc7277bis is added as well.
> > > (i2rs) to consider the following document: - 'A YANG Data Model
for
> > Fabric